Const classBrick = 1
Const classFallingBrick = 2
Const classBall = 3
Const classPlayer = 4
Const classSparkle = 5
Const classShade = 6
Const classDying = 7
Const classStar = 8
Const classBullet = 9
Const classAlien = 10
Const classAlienBullet = 11
Const classBoggleBrick = 12
Const classAttacker = 13
Const classExtra = 14

Const subClassBonus = 1
Const subClassShield = 2
Const subClassMove = 3
Const subClassOrder = 4
Const subClassStartBall = 5
Const subClassSmall = 6
Const subClassPearl = 7
Const subClassBoggle = 8
Const subClassSpecialBonus = 9
Const subClassStatic = 10
Const subClassAttacker = 11

Const subClassExtraWidth = 13
Const subClassExtraBomb = 14
Const subClassExtraBrickbomb = 15
Const subClassExtraSlowpearl = 16
Const subClassExtraSecondpearl = 17
Const subClassExtraFirepower = 18
Const subClassExtraSuperfirepower = 19
Const subClassExtraInverted = 20
Const subClassExtraMultiPearl = 21
Const subClassExtraChance = 22
Const subClassExtraBallShield = 23

Const nothing# = 1000.0
Const defaultGravity = 3
Const layerDeepBack = 0
Const layerBack = 1
Const layerFront = 2

Const eventBallDied = 1
Const eventEscapePressed = 2
Const eventHitSide = 3
Const eventPlayerDies = 4
Const eventPlayerShoots = 5
Const eventAlienLeftScreen = 6
Const eventAllBricksGone = 7
Const eventFallingBrickLeftScreen = 8
Const eventPausePressed = 9
Const eventMusicPressed = 10
Const eventSoundPressed = 11
Const eventBoggleBrickLeftScreen = 12
Const eventAttackerLeftScreen = 13
Const eventNextLevelWarp = 14
Const eventExtraSlowpearl = 15
Const eventExtraWidth = 16
Const eventExtraBrickbomb = 17
Const eventExtraAlienbomb = 18
Const eventExtraSecondpearl = 19
Const eventExtraFirepower = 20
Const eventExtraSuperfirepower = 21
Const eventExtraInverted = 22
Const eventExtraMultipearl = 23
Const eventExtraChance = 24
Const eventNoBallLeft = 25
Const eventExtraBallshield = 26

Const leftMouseButton = 1
Const rightMouseButton = 2
Const middleMouseButton = 3

Const brickBorder = 2
Const keyEscape = 1
Const keyP = 25
Const keyPause = keyP
Const keyM = 50
Const keyMusic = keyM
Const keyS = 31
Const keySound = keyS
Const keySpace = 57
Const keyContinue = keySpace

Const starsMax = 50
Const firstFrame = 1

Const screenLeft = 0
Const screenTop = 0
Const screenWidth = 640
Const screenHeight = 480
Const paletteMax = 255
Const paletteMin = 0

Const counterTurn = 0
Const timerFrequency = 50
Const gameLevelMax = 6
Const gameRankMax = 5
Const gameDefaultChances = 1

Const defaultValue = 0
Const defaultLoudness# = .9

Const brickWidth = 32
Const brickHeight = 16
Const playerDefaultWidth = 48
Const playerExtraMax = 1000
Const ballExtraMax = playerExtraMax
Const ballSpeedLimit = 6
Const gameExtraPause = 200

Type typeBackground
	Field red#
	Field green#
	Field blue#
	Field redSpeed#
	Field greenSpeed#
	Field blueSpeed#
	Field redMin#
	Field redMax#
	Field greenMin#
	Field greenMax#
	Field blueMin#
	Field blueMax#
End Type

Type typeGame
	Field counter
	Field direction
	Field over
	Field won
	Field level
	Field speed#
	Field rank
	Field music
	Field sound
	Field chances
	Field extraPause
	Field musicChannel
End Type

Type typeEvent
	Field number
End Type